Bug 221881 - Deleting cluster with unauthenicated node = error with "local variable 'batch' referenced before assignment"
Deleting cluster with unauthenicated node = error with "local variable 'batch...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-08 13:09 EST by Len DiMaggio
Modified: 2009-04-16 18:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 11:42:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (124.83 KB, image/png)
2007-01-08 13:09 EST, Len DiMaggio
no flags Details

  None (edit)
Description Len DiMaggio 2007-01-08 13:09:37 EST
Description of problem:
Deleting cluster with unauthenicated node = error with "local variable 'batch'
referenced before assignment"

This bz is related to
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=221869 - if the user
attempts to delete the cluster that includes the unauthenicated node, then this
above error is generated.

Version-Release number of selected component (if applicable):
luci-0.8-26.el5
ricci-0.8-26.el5

How reproducible:
100%

Steps to Reproduce:
1. Recreate the cluster described in bz 221869.
2. Before reauthenticating the node that was originally unauthenticated, attempt
to delete the cluster.

Actual results:

See the screenshot attachment. Also, this is written to the debug (syslog) on
the luci server:

Jan  8 10:38:06 tng3-5 luci[3395]: RC:BRun3: An error occurred while trying to
process the batch job: "<?xml version="1.0" ?><batch><module
name="cluster"><request API_version="1.0"><function_call name="stop_node"><var
mutable="false" name="cluster_shutdown" type="boolean" value="false"/><var
mutable="false" name="purge_conf" type="boolean"
value="false"/></function_call></request></module></batch>"
Jan  8 10:38:06 tng3-5 luci[3395]: batchAttemptResult: 'NoneType' object has no
attribute 'getElementsByTagName'

Expected results:
The cluster should be deleted.

Additional info:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=221869
Comment 1 Len DiMaggio 2007-01-08 13:09:37 EST
Created attachment 145090 [details]
Screenshot
Comment 2 Ryan McCabe 2007-01-08 14:51:52 EST
Committed fix to HEAD
Comment 3 Len DiMaggio 2007-01-23 10:30:01 EST
Verified bug fixed in luci-0.8-29.el5

Now, when the user attempts to create the cluster with an unauthenticated node,
warnings are issued:

'Any nodes that are not authenticated will need to be authenticated later.'

'Unable to authenticate to the ricci agent on tng3-2.lab.msp.redhat.com:
authentication failed.'

And, the user is able to delete the cluster. If the user attempts to view the
cluster list, this error results:

'An error occurred when trying to contact any of the nodes in the Jan23a cluster.'

But, the user can clear this condition by deleting the cluster from the
homebase/manage systems menu.

Note You need to log in before you can comment on or make changes to this bug.